/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import javax.microedition.lcdui.*;
import javax.microedition.midlet.MIDlet;


/**
 *
 * @author Sun2k
 */
class ReadPropertyForm  extends Form implements CommandListener {

    private MIDlet midlet;
    private Command exitCommand;

    /**
     * Main constructor of this form.
     * @param midlet the parent midlet.
     */
    public ReadPropertyForm(MIDlet midlet)
    {
        // call the form constructor
        super("");

        // save parent midlet
        this.midlet = midlet;

        // add exit command
        exitCommand = new Command("Exit1", Command.EXIT, 1);
        this.addCommand(exitCommand);
        this.setCommandListener(this);

        ReadProperties();
    }

    public void ReadProperties()
    {
        Canvas dummyCanvas = new Canvas() {

            protected void paint(Graphics grphcs) {
                throw new UnsupportedOperationException("Not supported yet.");
            }
        };

	this.append("--- Device Properties ---\n");
        this.append("Width: " + dummyCanvas.getWidth() + "\n");
        this.append("Height: " + dummyCanvas.getHeight() + "\n");
        this.append("DoubleBufferd: " + (dummyCanvas.isDoubleBuffered() ? "Yes\n" : "No\n"));
        
        this.append("Colors supported: " + (Display.getDisplay(midlet).isColor() ? "Yes\n" : "No\n"));
        this.append("NumOfColors: " + Display.getDisplay(midlet).numColors() + "\n");
        this.append("AlphaLevels: " + Display.getDisplay(midlet).numAlphaLevels() + "\n");

        this.append("Pointer events: " + (dummyCanvas.hasPointerEvents() ? "Yes\n" : "No\n"));
        this.append("Pointer motion events: " + (dummyCanvas.hasPointerMotionEvents() ? "Yes\n" : "No\n"));
        this.append("Repeat events: " + (dummyCanvas.hasRepeatEvents() ? "Yes\n" : "No\n"));
        
        this.append("Backlight Flashing: " + (Display.getDisplay(midlet).flashBacklight(1) ? "Yes\n" : "No\n"));
        this.append("Vibration: " + (Display.getDisplay(midlet).vibrate(1) ? "Yes\n" : "No\n"));

        this.append("--- J2ME System Properties ---\n");
        this.append("microedition.platform: " + System.getProperty("microedition.platform") + "\n");
        this.append("microedition.encoding: " + System.getProperty("microedition.encoding") + "\n");
        this.append("microedition.configuration: " + System.getProperty("microedition.configuration") + "\n");
        this.append("microedition.profiles: " + System.getProperty("microedition.profiles") + "\n");
        this.append("microedition.locale: " + System.getProperty("microedition.locale") + "\n");
        this.append("microedition.profiles: " + System.getProperty("microedition.profiles") + "\n");
        this.append("microedition.io.file.FileConnection.version: " + System.getProperty("microedition.io.file.FileConnection.version") + "\n");
        this.append("microedition.encoding: " + System.getProperty("microedition.encoding") + "\n");
        this.append("file.separator: " + System.getProperty("file.separator") + "\n");
        this.append("microedition.pim.version: " + System.getProperty("microedition.pim.version") + "\n");
        this.append("microedition.commports: " + System.getProperty("microedition.commports") + "\n");
        this.append("microedition.hostname: " + System.getProperty("microedition.hostname") + "\n");
        this.append("microedition.commports: " + System.getProperty("microedition.commports") + "\n");
        this.append("wireless.messaging.sms.smsc: " + System.getProperty("wireless.messaging.sms.smsc") + "\n");
        this.append("microedition.smartcardslots: " + System.getProperty("microedition.smartcardslots") + "\n");
        this.append("microedition.location.version: " + System.getProperty("microedition.location.version") + "\n");
        this.append("microedition.sip.version: " + System.getProperty("microedition.sip.version") + "\n");
        this.append("microedition.m3g.version: " + System.getProperty("microedition.m3g.version") + "\n");
        this.append("microedition.jtwi.version: " + System.getProperty("microedition.jtwi.version") + "\n");
        this.append("wireless.messaging.mms.mmsc: " + System.getProperty("wireless.messaging.mms.mmsc") + "\n");
        this.append("CHAPI-Version: " + System.getProperty("CHAPI-Version") + "\n");
    }

    /**
     * The CommandListener interface method called when the user executes a
     * Command. This method handles the standard quit command as well as an add
     * command which triggers the display to be switched to the list. It then
     * handles commands from the list screen to either select an item or abort.
     * @param command the command that was triggered
     * @param displayable the displayable on which the event occurred
     */
    public void commandAction(Command cmnd, Displayable dsplbl)
    {
        if (cmnd == exitCommand)
        {
            midlet.notifyDestroyed();
        }
    }

    
}
